> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.hollr.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.hollr.ai/_mcp/server.

# Get a conversation by its call SID

GET https://api.hollr.ai/v1/conversation/conversation/call/{call_sid}

Reference: https://docs.hollr.ai/api-reference/hollr-ai-api/conversations/get-conversation-by-call-sid

## Authentication

- `hollr-api-key` header (required) — API key issued for your account. Every request is logged and rate-limited against this key.

## Request

### Path parameters

- `call_sid` (string, required) — The telephony provider's call SID.

## Response

### 200

Conversation retrieved.

- `status` (string, optional)
- `message` (string, optional)
- `data` (object, optional)
  - `id` (string, optional)
  - `userId` (string, optional)
  - `campaignId` (string, optional)
  - `callSid` (string, optional, nullable)
  - `streamSid` (string, optional, nullable)
  - `fromNumber` (string, optional)
  - `toNumber` (string, optional)
  - `direction` (enum, optional)
    - Allowed values: `inbound`, `outbound`
  - `status` (string, optional)
  - `duration` (integer, optional) — Duration in seconds.
  - `aiSummary` (string, optional, nullable)
  - `userSentiment` (string, optional, nullable)
  - `recordingUrl` (string, optional, nullable)
  - `tag` (string, optional, nullable)
  - `messages` (list of map from string to any, optional)
  - `source` (string, optional, nullable)
  - `timesCalled` (integer, optional)
  - `createdAt` (datetime, optional)
  - `updatedAt` (datetime, optional)

## Examples

**Response**

```json
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "userId": "string",
    "campaignId": "string",
    "callSid": "string",
    "streamSid": "string",
    "fromNumber": "string",
    "toNumber": "string",
    "direction": "inbound",
    "status": "string",
    "duration": 1,
    "aiSummary": "string",
    "userSentiment": "string",
    "recordingUrl": "string",
    "tag": "string",
    "messages": [
      {}
    ],
    "source": "string",
    "timesCalled": 1,
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.hollr.ai/v1/conversation/conversation/call/call_sid"

headers = {"hollr-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hollr.ai/v1/conversation/conversation/call/call_sid';
const options = {method: 'GET', headers: {'hollr-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hollr.ai/v1/conversation/conversation/call/call_sid"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("hollr-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hollr.ai/v1/conversation/conversation/call/call_sid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["hollr-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.hollr.ai/v1/conversation/conversation/call/call_sid")
  .header("hollr-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.hollr.ai/v1/conversation/conversation/call/call_sid', [
  'headers' => [
    'hollr-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hollr.ai/v1/conversation/conversation/call/call_sid");
var request = new RestRequest(Method.GET);
request.AddHeader("hollr-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["hollr-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hollr.ai/v1/conversation/conversation/call/call_sid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```